# OnArrivalClientApi.Trip

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**tripType** | **String** | Type of trip | 
**visaType** | **String** | VisaType/purpose of trip | 
**departureAt** | [**DateTimeAndTimeZone**](DateTimeAndTimeZone.md) |  | 
**arrivalAt** | [**DateTimeAndTimeZone**](DateTimeAndTimeZone.md) |  | 
**origin** | [**OriginDestinationCode**](OriginDestinationCode.md) |  | 
**destination** | [**[OriginDestinationCode]**](OriginDestinationCode.md) | trip destination details | 
**isDomestic** | **Boolean** |  | [optional] [default to false]

<a name="TripTypeEnum"></a>
## Enum: TripTypeEnum

* `SINGLE` (value: `"SINGLE"`)
* `ANNUAL` (value: `"ANNUAL"`)
* `ROUND` (value: `"ROUND"`)
* `MULTI` (value: `"MULTI"`)


<a name="VisaTypeEnum"></a>
## Enum: VisaTypeEnum

* `TOURIST` (value: `"TOURIST"`)
* `BUSINESS` (value: `"BUSINESS"`)
* `TRANSIT` (value: `"TRANSIT"`)
* `STUDENT` (value: `"STUDENT"`)

