# OnArrivalClientApi.VisaOrder

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] 
**linkedTrip** | **String** |  | [optional] 
**bookingStatus** | **String** | Status of visa order | [optional] 
**linkedProduct** | **String** | Product code which visa was booked for | [optional] 
**linkedMembers** | **[String]** | Members who are liked with visa order | [optional] 
**dateOfTravel** | **Date** | Date of travel | [optional] 
**totalAmount** | **Number** | Total Booking Amount | [optional] 
**bookingAmount** | **Number** | Booking Amount | [optional] 
**totalMarkup** | **Number** | Mark up Charges for booking | [optional] 
**trip** | [**TripDAO**](TripDAO.md) |  | [optional] 
**members** | [**[MemberDAO]**](MemberDAO.md) |  | [optional] 
**visaDownloadLink** | **String** |  | [optional] 
**product** | [**Product**](Product.md) |  | [optional] 

<a name="BookingStatusEnum"></a>
## Enum: BookingStatusEnum

* `IN_PROGRESS` (value: `"IN_PROGRESS"`)
* `ORDER_INITIATED` (value: `"ORDER_INITIATED"`)
* `COMPLETED` (value: `"COMPLETED"`)
* `CANCELLED` (value: `"CANCELLED"`)
* `DOCUMENT_PENDING` (value: `"DOCUMENT_PENDING"`)
* `DOCUMENT_COMPLETED` (value: `"DOCUMENT_COMPLETED"`)
* `PARTIAL_APPROVED` (value: `"PARTIAL_APPROVED"`)
* `APPROVED` (value: `"APPROVED"`)
* `DISPATCHED` (value: `"DISPATCHED"`)

