# OnArrivalClientApi.VisaProduct

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Visa product id | [optional] 
**name** | **String** | Visa product name | [optional] 
**supplierId** | **String** | Visa product supplier reference Id | [optional] 
**country** | **String** | Visa booking country | [optional] 
**visaType** | **String** | Trip visa type | [optional] 
**tripType** | **String** | Trip Type | [optional] 
**stayPeriod** | **String** | Trip stay period | [optional] 
**currency** | **String** |  | [optional] 
**unitPrice** | **String** | Price per unit | [optional] 
**tax** | **String** | Tax inclusion | [optional] 
**validity** | **String** | Trip Validaity | [optional] 
**processingTime** | **String** |  | [optional] 
**minProcessingTime** | **Number** | Time required minimum processing time get visa | [optional] 
**maxProcessingTime** | **Number** | Time required maximum processing time get visa | [optional] 
**minProcessingTimeMatrix** | **String** | Time unit for minimum processing time get visa | [optional] 
**maxProcessingTimeMatrix** | **String** | Time unit for maximum processing time get visa | [optional] 
**visaCategory** | **String** |  | [optional] 
**disclaimer** | **String** | Terms and condition | [optional] 
**processingType** | **String** | Processing type | [optional] 
**minTravelDate** | **String** | Minimum day that we can book for visa | [optional] 
**withServices** | **String** | Additional service included with the product | [optional] 
**requiredDocuments** | [**[RequiredDocument]**](RequiredDocument.md) | Required Document to process visa | [optional] 
