# OnArrivalClientApi.MemberDAO

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] 
**supplierMemberId** | **String** |  | [optional] 
**ancillaryType** | **String** |  | [optional] 
**linkedSupplierBookingId** | **String** |  | [optional] 
**title** | **String** |  | [optional] 
**firstName** | **String** |  | [optional] 
**middleName** | **String** |  | [optional] 
**lastName** | **String** |  | [optional] 
**dateOfBirth** | **Date** |  | [optional] 
**email** | **String** |  | [optional] 
**age** | **Number** |  | [optional] 
**gender** | **String** |  | [optional] 
**phone** | **String** |  | [optional] 
**nationality** | **String** |  | [optional] 
**passport** | [**Passport**](Passport.md) |  | [optional] 
**taxInfo** | [**Tax**](Tax.md) |  | [optional] 
**address** | [**Address**](Address.md) |  | [optional] 
**occupation** | **String** |  | [optional] 
**isPrimary** | **Boolean** |  | [optional] 
**documents** | [**[MemberDocument]**](MemberDocument.md) |  | [optional] 
**status** | **String** |  | [optional] 
**logs** | [**[ActionLog]**](ActionLog.md) |  | 

<a name="AncillaryTypeEnum"></a>
## Enum: AncillaryTypeEnum

* `INSURANCE` (value: `"INSURANCE"`)
* `CAB` (value: `"CAB"`)
* `VISA` (value: `"VISA"`)
* `GROUND` (value: `"GROUND"`)
* `EVISA` (value: `"EVISA"`)
* `DATA` (value: `"DATA"`)


<a name="StatusEnum"></a>
## Enum: StatusEnum

* `ORDER_SUBMIT` (value: `"ORDER_SUBMIT"`)
* `IN_PROGRESS` (value: `"IN_PROGRESS"`)
* `ORDER_DRAFT` (value: `"ORDER_DRAFT"`)
* `ORDER_INITIATED` (value: `"ORDER_INITIATED"`)
* `COMPLETED` (value: `"COMPLETED"`)
* `CANCELLED` (value: `"CANCELLED"`)
* `DOCUMENT_PENDING` (value: `"DOCUMENT_PENDING"`)
* `DOCUMENT_COMPLETED` (value: `"DOCUMENT_COMPLETED"`)
* `PARTIAL_APPROVED` (value: `"PARTIAL_APPROVED"`)
* `APPROVED` (value: `"APPROVED"`)
* `DISPATCHED` (value: `"DISPATCHED"`)
* `COUNTRY_SELECTED` (value: `"COUNTRY_SELECTED"`)
* `QUOTE_SELECTED` (value: `"QUOTE_SELECTED"`)
* `VISA_APPLICATION_APPROVED` (value: `"VISA_APPLICATION_APPROVED"`)
* `PARTIAL_APPLICATIONS_APPROVED` (value: `"PARTIAL_APPLICATIONS_APPROVED"`)
* `VISA_APPLIED_IN_EMBASSY` (value: `"VISA_APPLIED_IN_EMBASSY"`)
* `VISA_APPLICATION_REJECTED` (value: `"VISA_APPLICATION_REJECTED"`)
* `PAYMENT_INITIATED` (value: `"PAYMENT_INITIATED"`)
* `PAYMENT_FAILED` (value: `"PAYMENT_FAILED"`)
* `PAYMENT_COMPLETED` (value: `"PAYMENT_COMPLETED"`)
* `DOCUMENT_COLLECTED` (value: `"DOCUMENT_COLLECTED"`)
* `BOOKING_CANCELLED` (value: `"BOOKING_CANCELLED"`)
* `EXTRA_DOCUMENT_REQUIRED` (value: `"EXTRA_DOCUMENT_REQUIRED"`)
* `DOCUMENT_COLLECTION_RESCHEDULING` (value: `"DOCUMENT_COLLECTION_RESCHEDULING"`)
* `DOCUMENT_RETURN_RESCHEDULING` (value: `"DOCUMENT_RETURN_RESCHEDULING"`)
* `USER_NOT_RESPONDING` (value: `"USER_NOT_RESPONDING"`)
* `DOCUMENT_UPLOAD_PENDING` (value: `"DOCUMENT_UPLOAD_PENDING"`)
* `DOCUMENT_TO_BE_UPLOADED_LATER` (value: `"DOCUMENT_TO_BE_UPLOADED_LATER"`)
* `DOCUMENT_UPLOADED` (value: `"DOCUMENT_UPLOADED"`)
* `REJECTED` (value: `"REJECTED"`)
* `ADDRESS_TO_BE_COLLECTED` (value: `"ADDRESS_TO_BE_COLLECTED"`)
* `ADDRESS_COLLECTED` (value: `"ADDRESS_COLLECTED"`)

