# OnArrivalClientApi.TripDAO

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | [optional] 
**tripType** | **String** | Type of trip | [optional] 
**visaType** | **String** | visa type/purpose of trip | [optional] 
**departureAt** | [**DateTimeAndTimeZone**](DateTimeAndTimeZone.md) |  | [optional] 
**arrivalAt** | [**DateTimeAndTimeZone**](DateTimeAndTimeZone.md) |  | [optional] 
**origin** | [**OriginDestinationCode**](OriginDestinationCode.md) |  | [optional] 
**destination** | [**[OriginDestinationCode]**](OriginDestinationCode.md) | trip destination details | [optional] 
**isDomestic** | **Boolean** |  | [optional] [default to false]
**trip** | [**TripDAO**](TripDAO.md) |  | [optional] 

<a name="TripTypeEnum"></a>
## Enum: TripTypeEnum

* `SINGLE` (value: `"SINGLE"`)
* `MULTI` (value: `"MULTI"`)

